%if 0%{?fedora} > 12
%global with_python3 1
%endif

Name:           openslide-python
Version:        1.1.0
Release:        2%{?dist}
Summary:        Python bindings for the OpenSlide library

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://openslide.org/
Source0:        https://github.com/openslide/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

# Disable Intersphinx so it won't download inventories at build time
Patch0:         openslide-python-1.0.1-disable-intersphinx.patch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with_python3

Requires:       openslide >= 3.4.0
Requires:       python-pillow

%description
The OpenSlide library allows programs to access virtual slide files
regardless of the underlying image format.  This package allows Python
programs to use OpenSlide.


%if 0%{?with_python3}
%package -n openslide-python3
Summary:        Python 3 bindings for the OpenSlide library
Requires:       openslide >= 3.4.0
Requires:       python3-pillow


%description -n openslide-python3
The OpenSlide library allows programs to access virtual slide files
regardless of the underlying image format.  This package allows Python 3
programs to use OpenSlide.
%endif # with_python3


%prep
%setup -qc
mv %{name}-%{version} python2
pushd python2
%patch0 -p1

# Examples include bundled jQuery and OpenSeadragon
rm -rf examples

# Copy common doc files to top dir
cp -a CHANGELOG.txt LICENSE.txt lgpl-2.1.txt ../

popd

%if 0%{?with_python3}
cp -a python2 python3
%endif # with_python3


%build
pushd python2
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build
%{__python2} setup.py build_sphinx
rm build/sphinx/html/.buildinfo
popd

%if 0%{?with_python3}
pushd python3
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install
pushd python2
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd

%if 0%{?with_python3}
pushd python3
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3


%files
%doc CHANGELOG.txt python2/build/sphinx/html
%license LICENSE.txt lgpl-2.1.txt
%{python2_sitearch}/*


%if 0%{?with_python3}
%files -n openslide-python3
%doc CHANGELOG.txt python2/build/sphinx/html
%license LICENSE.txt lgpl-2.1.txt
%{python3_sitearch}/*
%endif # with_python3


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 21 2015 Benjamin Gilbert <bgilbert@backtick.net> - 1.1.0-1
- New release

* Sun Mar 22 2015 Benjamin Gilbert <bgilbert@backtick.net> - 1.0.1-4
- Update build scripts to current Packaging:Python template
- Move license files to %%license

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Mar 10 2014 Benjamin Gilbert <bgilbert@backtick.net> - 1.0.1-1
- New release
- Use versioned sitelib macro for Python 2

* Tue Feb 11 2014 Benjamin Gilbert <bgilbert@backtick.net> - 0.5.1-1
- Initial version
